Mac App Store: 10.6 only -- Will not accept ANY Carbon deprecation

Discussion in 'Mac Apps and Mac App Store' started by SMGreenfield, Nov 4, 2010.

  1. SMGreenfield macrumors member

    SMGreenfield

    Joined:
    Nov 27, 2008
    Location:
    Glendale, CA
    #1
    Just found out from Developer Support -- the Mac App Store overlords will not accept ANY application that uses ANY interface that was deprecated as of Snow Leopard (10.6). Apps must support Snow Leopard and beyond ONLY.

    That could be a problem for larger legacy apps...
     
  2. Schtumple macrumors 601

    Schtumple

    Joined:
    Jun 13, 2007
    Location:
    benkadams.com
    #2
    So that means Apple can't sell Final Cut Pro on the store then :p

    Makes sense really though, considering the store is only going to be available for Snow Leopard and beyond.

    Just a shame some of the carbon app devs are going to have to re-write to meet Apples needs. Honestly, I'm a bit sceptical the mac app store will have the same impact that iOS store has had.
     

Share This Page